/* $Revision: 1.20 $
 * Copyright 1994-2002 The MathWorks, Inc.
 */
#ifndef updown_h
#define updown_h

#include "upsup_public.h"
#include "rtmodel.h"
#include "common.h"

extern void      SetParam(RTWExtModeInfo  *ei,
                          int_T size_shm);
extern void      UploadLogInfoReset(void);
extern void      UploadPrepareForFinalFlush(void);
extern void      UploadShutDown(void);
extern void      UploadLogInfoTerm(void);

extern boolean_T UploadLogInfoInit(RT_MODEL *S,
					     int_T size_shm);
						 
extern boolean_T UploadInitTrigger(RTWExtModeInfo  *ei, 
						  int_T size_shm);
extern void      UploadArmTrigger(void);
extern void      UploadCancelLogging(void);
extern void      UploadBufDataSent(const int_T tid);
extern void      UploadBufAddTimePoint(const int_T tid/*const SimStruct *S*/,  real_T taskTime);
extern void      UploadCheckTrigger(void);
extern void      UploadCheckEndTrigger(void);
extern void      UploadBufGetData(ExtBufMemList *extBufList);
extern void      EndLoggingSession(void);

#endif /* updown_h */
