/*
 * Copyright 1994-2002 The MathWorks, Inc.
 *
 * File: ext_work.c     $Revision: 1.9 $
 *
 * Abstract:
 *   
 */

#include "tmwtypes.h"
#include "simstruc_types.h"

#include "ext_share.h"
#include "updown.h"
#include "ext_svr_rtl.h"
#include "ext_svr_transport.h"
#include "ext_work.h" /* includes all VxWorks headers */

void rtExtModeUpload(int_T tid, real_T taskTime)
{
    UploadBufAddTimePoint(tid, taskTime);
}

void rtExtModeCheckEndTrigger(void)
{
    UploadCheckEndTrigger();
}

void rtExtModeUploadCheckTrigger(void)
{
    UploadCheckTrigger();
}


/* Start of ERT specific functions and data */

static real_T finaltime = -2.0;
static const real_T RUN_FOREVER = -1.0;

void rtERTExtModeSetTFinal(real_T *rtmFinalTime)
{
    if (finaltime >= 0.0 || finaltime == RUN_FOREVER) {
        *rtmFinalTime = finaltime;
    }
}
/* End of ERT specific functions and data */

/* [EOF] ext_work.c */


